- name: Check if neo4j is already installed
  stat: 
    path: /etc/init.d/neo4j
  register: neo4j_installed

- name: Add an Apt signing key, for neo4j apt source repository
  apt_key:
    url: https://debian.neo4j.org/neotechnology.gpg.key
    state: present

- name: Add apt source repository with neo4j
  apt_repository:
    repo: deb http://debian.neo4j.org/repo stable/
    state: present
    filename: neo4j

- name: fix redirect from http to https
  apt:
    name: apt-transport-https
    state: present
    update_cache: yes

- name: Install neo4j
  apt:
    name: neo4j
    state: present

- name: APOC configuration test
  shell: cat /etc/neo4j/neo4j.conf | grep apoc.import.file.enabled=true | wc -l
  register: apoc_test

- name: Download APOC
  get_url:
    url: https://github.com/neo4j-contrib/neo4j-apoc-procedures/releases/download/3.4.0.1/apoc-3.4.0.1-all.jar
    dest: /var/lib/neo4j/plugins
    mode: 0644
  when: apoc_test.stdout == "0"

- name: APOC configuration
  lineinfile:
    dest: /etc/neo4j/neo4j.conf
    line: "{{ item }}"
  with_items:
    - 'apoc.import.file.enabled=true'
    - 'dbms.security.procedures.unrestricted=apoc.load.json'
  notify:
    - restart neo4j
    - wait for neo4j    
  when: apoc_test.stdout == "0" 
